/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan;

import com.abssqr.plat.common.facade.base.BasePageQryParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan: PlanPageQryParam.java, v 0.1 2019-05-30 10:34 bangis.wangdf Exp $
 */
public class PlanPageQryParam extends BasePageQryParam {
    private static final long   serialVersionUID = 2556744061003715527L;

    private String planName;

    private String status;

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_LIST_QRY;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
