package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAllocDO;
import com.abssqr.plat.common.facade.model.plan.PlanAlloc;

import java.util.ArrayList;
import java.util.List;

public class PlanAllocConvert {
    public static PlanAlloc convert2Entity(PlanAllocDO var){
        if(var==null){
            return null;
        }
        PlanAlloc result=new PlanAlloc();
        result.setPlanNo(var.getPlanNo());
        result.setAllocDate(var.getAllocDate());
        result.setAllocNo(var.getAllocNo());
        result.setCalcDate(var.getCalcDate());
        result.setPayDate(var.getPayDate());
        result.setReportDate(var.getReportDate());
        result.setSettleDate(var.getSettleDate());
        return result;
    }

    public static List<PlanAlloc> convert2Entitys(List<PlanAllocDO> vars){
        if(vars==null){
            return null;
        }
        List<PlanAlloc> result=new ArrayList<>();
        vars.forEach(v->{
            result.add(convert2Entity(v));
        });

        return result;
    }



    public static PlanAllocDO convert2DO(PlanAlloc var){
        if(var==null){
            return null;
        }
        PlanAllocDO result=new PlanAllocDO();
        result.setPlanNo(var.getPlanNo());
        result.setAllocDate(var.getAllocDate());
        result.setAllocNo(var.getAllocNo());
        result.setCalcDate(var.getCalcDate());
        result.setPayDate(var.getPayDate());
        result.setReportDate(var.getReportDate());
        result.setSettleDate(var.getSettleDate());
        return result;
    }


    public static List<PlanAllocDO> convert2DOs(List<PlanAlloc> vars){
        if(vars==null){
            return null;
        }
        List<PlanAllocDO> result=new ArrayList<>();
        vars.forEach(v->{
            result.add(convert2DO(v));
        });
        return result;

    }



}
