package com.abssqr.plat.common.model.repo.plan.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanAcctTitleDAO;
import com.abssqr.plat.common.facade.enums.TitleTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanAcctTitle;
import com.abssqr.plat.common.model.convertor.PlanAcctTitleConvert;
import com.abssqr.plat.common.model.repo.plan.PlanAcctTitleRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class planAcctTitleRepoImpl implements PlanAcctTitleRepo{

    @Autowired
    PlanAcctTitleDAO planAcctTitleDAO;
    @Override
    public int insert(PlanAcctTitle entity) {
        return planAcctTitleDAO.insert(PlanAcctTitleConvert.convert2DO(entity));
    }

    @Override
    public int insertBatch(List<PlanAcctTitle> list) {
        return planAcctTitleDAO.insertBatch(PlanAcctTitleConvert.convert2DOs(list));
    }

    @Override
    public int updateAmt(PlanAcctTitle entity) {
        return 0;
    }

    @Override
    public List<PlanAcctTitle> getByEntityNo(String planNo) {
        return PlanAcctTitleConvert.convert2Entitys(planAcctTitleDAO.getByPlanNo(planNo));
    }

    @Override
    public PlanAcctTitle getByTitleNo(String planNo, String titleNo) {
        return null;
    }

    @Override
    public List<PlanAcctTitle> getTitleNames(String planNo, List<TitleTypeEnum> titleTypeEnums) {
        return null;
    }

    @Override
    public List<PlanAcctTitle> getAcctFinFeeTitles(List<String> planNos) {
        return null;
    }

    @Override
    public int cleanByPlanNo(String planNo) {
       return planAcctTitleDAO.deleteByPlanNo(planNo);
    }
}
