package com.abssqr.plat.common.dal.mysql.auto.paging;

import com.abssqr.plat.common.dal.mysql.auto.paging.BasePage;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanDO;

/**
 * The table ABS_PLAN 产品表
 */
public class PlanListPage extends BasePage<PlanDO>{

    /**
     * planName 产品简称.
     */
    private String planName;
    /**
     * status 产品状态（设计中，已发行，已清算）.
     */
    private String status;

    /**
     * Set planName 产品简称.
     */
    public void setPlanName(String planName){
        this.planName = planName;
    }

    /**
     * Get planName 产品简称.
     *
     * @return the string
     */
    public String getPlanName(){
        return planName;
    }

    /**
     * Set status 产品状态（设计中，已发行，已清算）.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status 产品状态（设计中，已发行，已清算）.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }
}
