package com.abssqr.plat.common.facade.result.plan.sub;

import com.abssqr.plat.common.facade.enums.CalcTypeEnum;
import com.abssqr.plat.common.facade.enums.FeeScaleTypeEnum;
import com.abssqr.plat.common.facade.enums.FeeTimeTypeEnum;

import java.math.BigDecimal;
import java.util.Date;

public class FeeStructureVO {
    /**
     * sort .
     */
    private Long sort;
    /**
     * fixedFeeAmt 固定费用.
     */
    private Long fixedFeeAmt;
    /**
     * payLimitAmt 支付上限.
     */
    private Long payLimitAmt;
    /**
     * feeNo 费用编号.
     */
    private String feeNo;
    /**
     * planNo 产品编号.
     */
    private String planNo;
    /**
     * feeCalcType 计费方式.
     */
    private CalcTypeEnum feeCalcType;
    /**
     * feeScaleType 费用基准.
     */
    private FeeScaleTypeEnum feeScaleType;

    /**
     * feeCalcDefaultDate 默认计费时间.
     */
    private FeeTimeTypeEnum feeTimeType;
    /**
     * feeRate 费率.
     */
    private BigDecimal feeRate;

    private String feeName;

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    public Long getFixedFeeAmt() {
        return fixedFeeAmt;
    }

    public void setFixedFeeAmt(Long fixedFeeAmt) {
        this.fixedFeeAmt = fixedFeeAmt;
    }

    public Long getPayLimitAmt() {
        return payLimitAmt;
    }

    public void setPayLimitAmt(Long payLimitAmt) {
        this.payLimitAmt = payLimitAmt;
    }

    public String getFeeNo() {
        return feeNo;
    }

    public void setFeeNo(String feeNo) {
        this.feeNo = feeNo;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public CalcTypeEnum getFeeCalcType() {
        return feeCalcType;
    }

    public void setFeeCalcType(CalcTypeEnum feeCalcType) {
        this.feeCalcType = feeCalcType;
    }

    public FeeScaleTypeEnum getFeeScaleType() {
        return feeScaleType;
    }

    public void setFeeScaleType(FeeScaleTypeEnum feeScaleType) {
        this.feeScaleType = feeScaleType;
    }

    public FeeTimeTypeEnum getFeeTimeType() {
        return feeTimeType;
    }

    public void setFeeTimeType(FeeTimeTypeEnum feeTimeType) {
        this.feeTimeType = feeTimeType;
    }

    public BigDecimal getFeeRate() {
        return feeRate;
    }

    public void setFeeRate(BigDecimal feeRate) {
        this.feeRate = feeRate;
    }

    public String getFeeName() {
        return feeName;
    }

    public void setFeeName(String feeName) {
        this.feeName = feeName;
    }
}
