/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.facade.model.plan.PlanAlloc;

import java.util.List;

/**
 * 分配计划
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.repo.plan: PlanAllocRepo.java, v 0.1 2019-06-03 16:53 bangis.wangdf Exp $ 
 */
public interface PlanAllocRepo {
    /**
     * 获取分配计划
     * @param planNo
     * @return
     */
    List<PlanAlloc> queryByPlanNo(String planNo);


    void insertPlanAllocs(List<PlanAlloc> allocs);

    PlanAlloc getPlanAllocDetail(String allocNo);

    void store(List<PlanAlloc> planAllocList);

    /**
     * 根据计划编号删除分配方案
     * @param planNo planNo
     */
    void cleanByPlanNo(String planNo);

}
